# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/practicefusion/version'

Gem::Specification.new do |spec|
  spec.add_dependency 'omniauth', '> 1.0'

  spec.name          = "omniauth-practicefusion"
  spec.version       = OmniAuth::PracticeFusion::VERSION
  spec.authors       = ["Sam Contapay, Shaun Guth"]
  spec.email         = ["scontapay@practicefusion.com", "sguth@practicefusion.com"]
  spec.summary       = %q{omniauth strategy for Practice Fusion}
  spec.description   = %q{Lets you use Practice Fusion as a strategy for your omniauth login flows}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'omniauth-oauth2', '~> 1.5'
  spec.add_runtime_dependency 'json-jwt', '~> 1.0', '>= 1.0.3'

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
